# RankingServerDBSpec::GetHistoryForParticipant_Data Class Reference

Given a particular player and game, get a match history. More...

`#include <RankingServerDBSpec.h>`

Inheritance diagram for RankingServerDBSpec::GetHistoryForParticipant_Data:

List of all members.

## Public Attributes

PairedKeyDbId | participantDbId
| [in] An integer ID used as the primary key for the player in the database. Should have been previously been added either externally, or through SubmitRatings
PairedKeyDbId | gameDbId
| [in] Identifies in the game in the database with a primary and secondary integer key. User defined.
DataStructures::List < SubmitMatch_Data * > | matchHistoryList

## Detailed Description

Given a particular player and game, get a match history.

## Member Data Documentation

DataStructures::List<SubmitMatch_Data*> RankingServerDBSpec::GetHistoryForParticipant_Data::matchHistoryList

[out] Stores a list of pointers to allocated structures, each structure holding what was previously passed to SubmitMatch. Deallocated in the destructor. If no such participant found, matchHistoryList.Size() will be 0.

Note:
  All [in] parameters in SubmitMatch_Data are treated as [out] parameters.

  participantA is the player we are referring to.

  participantB is his/her opponent for that match.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/RankingServerDBSpec.h
- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/RankingServerDBSpec.cpp